Index: client_app/src/components/data/components/user_jobs.js
===================================================================
--- client_app/src/components/data/components/user_jobs.js	(revision 33d4f5d27eea7d3c1f8b9f0284427ed4c8376860)
+++ client_app/src/components/data/components/user_jobs.js	(revision 33d4f5d27eea7d3c1f8b9f0284427ed4c8376860)
@@ -0,0 +1,36 @@
+import React from 'react';
+import { Redirect } from 'react-router-dom';
+import { Container, Card } from 'semantic-ui-react'
+
+
+const UserJobs = (props) =>{
+    var itemsArray = [];
+
+    if(props.userProfile.email!=null){
+        props.userProfile.jobs.forEach(item => {
+            let obj = {}
+            obj.header = item.title;
+            obj.description = item.description + "\n" + "Contact: " + item.accountEmail;
+            if(item.accountType=="TEAM"){
+                obj.meta = "Team: " + item.accountName + " / Salary: " + item.salary
+            }else{
+                obj.meta = "Company: " + item.accountName + " / Salary: " + item.salary
+            }
+
+            itemsArray.push(obj);
+        });
+
+        return(
+            <Container textAlign="left">
+                <h1>Jobs for you!</h1>
+                <Card.Group items={itemsArray} />
+            </Container>
+        );
+    }
+
+    return (
+      <Redirect to={"/login"}/>
+    );
+}
+
+export default UserJobs;
Index: client_app/src/components/data/components/user_profile.js
===================================================================
--- client_app/src/components/data/components/user_profile.js	(revision 6f9b7b0be231e798aeb85cf2cc534fec8a49bf74)
+++ client_app/src/components/data/components/user_profile.js	(revision 33d4f5d27eea7d3c1f8b9f0284427ed4c8376860)
@@ -1,31 +1,33 @@
 import React from 'react';
-import { Container, Header, List } from 'semantic-ui-react'
+import { Container, Header, Table, Item } from 'semantic-ui-react'
 
 const UserDetails = (props) =>{
     return(
-        <Container>
+        <Container textAlign="left">
             <Header>Welcome</Header>
-            <br />
-            <h3>User: {props.data.name}</h3>
-            <table>
-                <tr>
-                    <td>
-                        <h3>Retained skills</h3>
-                        <ul>
-                        {props.data.retained.map((value, index) => {
-                            return <li key={index}>{value.name}</li>
-                        })}
-                        </ul>
-                    </td>
-                    <td>
-                        <h3>Skills you want to learn</h3>
-                        <ul>
+            <h3>{props.data.name} {props.data.surname}</h3>
+            <h2>E-mail: {props.data.email}</h2>
+            <Table celled>
+                <Table.Header>
+                    <Table.Row>
+                        <Table.HeaderCell>Retained Skills:</Table.HeaderCell>
+                        <Table.HeaderCell>Skills to Learn:</Table.HeaderCell>
+                    </Table.Row>
+                </Table.Header>
+                <Table.Body>
+                    <Table.Row>
+                        <Table.Cell active>
+                            {props.data.retained.map((value, index) => {
+                                return <Item key={index}>{value.name}</Item>
+                            })}
+                        </Table.Cell>
+                        <Table.Cell active>
                             {props.data.toLearn.map((value, index) => {
-                                return <li key={index}>{value.name}</li>
+                                return <Item key={index}>{value.name}</Item>
                             })}
-                        </ul>
-                    </td>
-                </tr>
-            </table>
+                        </Table.Cell>
+                    </Table.Row>
+                </Table.Body>
+            </Table>
         </Container>
     );
Index: client_app/src/components/main/App.js
===================================================================
--- client_app/src/components/main/App.js	(revision 6f9b7b0be231e798aeb85cf2cc534fec8a49bf74)
+++ client_app/src/components/main/App.js	(revision 33d4f5d27eea7d3c1f8b9f0284427ed4c8376860)
@@ -7,4 +7,5 @@
 import './App.css';
 import UserLogin from "../../repository/login_repo";
+import UserJobs from "../data/components/user_jobs";
 
 class App extends Component{
@@ -14,5 +15,6 @@
         logged: false,
         error: null,
-        currentUser: {}
+        currentUser: {
+        }
     }
   }
@@ -25,4 +27,5 @@
                       <Route path={"/login"} render={() => <Login error={this.state.error} onCompleteForm={this.attemptLogin} loggedIn={this.state.logged}/>}/>
                       <Route path={"/profile"} render={() => <Profile userProfile={this.state.currentUser}/>}/>
+                      <Route path={"/jobs"} render={() => <UserJobs userProfile={this.state.currentUser}/>}/>
                       <Route path={"/"} render={() => <Redirect to={"/login"}/>}/>
                   </main>
